# module EimXML::Assertions

### Public Instance Methods

assert_has(expect, element, message="") click to toggle source

    # File lib/eim_xml/assertions.rb, line 4
    def assert_has(expect, element, message="")
            message << "\n" unless message.size==0
            message << "<#{element}> doesn't have\n<#{expect.inspect}>"
            assert_block(message) do
                    element.has?(expect)
            end
    rescue Test::Unit::AssertionFailedError=>e
            bt = e.backtrace.find_all do |b|
                    b !~ /#{Regexp.escape(__FILE__)}/
            end
            raise Test::Unit::AssertionFailedError, e.message, bt
    end